## $Id: level_report.py 14517 2017-02-08 08:17:02Z henrik $
##
## Copyright (C) 2013 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##

import grok
from waeup.kofa.students.reports.level_report import (
    LevelReport, LevelReportGenerator)

class CustomLevelReport(LevelReport):

    note = ""

#    note = """
#<br /><br /><br /><br />
#<font size='10'>
#<strong>Note:</strong> This copy is subject to correction for typographical errors and ratification by the departmental board.
#</font>
#"""

    @property
    def signatures(self):
        site = grok.getSite()
        dean = site['faculties'][self.faccode].officer_1
        hod = site['faculties'][self.faccode][self.depcode].officer_1
        if not dean:
            dean = 'Dean of Faculty'
        if not hod:
            hod = 'Head of Department'
        return [hod, dean]

class LevelReportGenerator(LevelReportGenerator):

    def generate(self, site, faccode=None, depcode=None, certcode=None,
                 session=None, level=None, author=None):
        result = CustomLevelReport(faccode=faccode, depcode=depcode,
            certcode=certcode, session=session, level=level, author=author)
        return result

